import request from '@/utils/request'
// 获取担保人审核列表
export function getOrderGuarantorInfoList(data) {
  return request({
    url: '/delivery/getOrderGuarantorInfoList',
    method: 'post',
    params: data
  })
}
// 审核
export function orderGuarantorCheck(data) {
  return request({
    url: '/delivery/orderGuarantorCheck',
    method: 'post',
    params: data
  })
}

// 退回审核
export function orderGuarantorCheckBack(data) {
  return request({
    url: '/delivery/orderGuarantorCheckBack',
    method: 'post',
    params: data
  })
}
// 认款申请
export function guarantorAccountApply(data) {
  return request({
    url: '/delivery/guarantorAccountApply',
    method: 'post',
    params: data
  })
}
// 财务管理-担保认款审核页面
export function orderGuarantorInfoReviewPage(data) {
  return request({
    url: '/delivery/orderGuarantorInfoReviewPage',
    method: 'post',
    params: data
  })
}
// 认款申请退回接口
export function guarantorAccountApplyCancel(data) {
  return request({
    url: '/delivery/guarantorAccountApplyCancel',
    method: 'post',
    params: data
  })
}
// 获取担保信息的接口
export function getOrderGuarantorInfo(data) {
  return request({
    url: '/delivery/getOrderGuarantorInfo',
    method: 'post',
    params: data
  })
}
// 根据订单获取应收款列表
export function getOrderReceivableByOrder(data) {
  return request({
    url: '/order/v1/getOrderReceivableByOrder',
    method: 'post',
    params: data
  })
}
//订单批量收款接口
export function multiChargeDataAdd(data) {
  return request({
    url: '/order/v1/multiChargeDataAdd',
    method: 'post',
    data: data
  })
}
// 认款确认接口
export function guarantorAccountApplyConfirm(data,id) {
  return request({
    url: '/delivery/guarantorAccountApplyConfirm?id='+id,
    method: 'post',
    data: data
  })
}

// 批量审核
export function guarantorAccountApplyConfirmBatch(data) {
  return request({
    url: '/delivery/guarantorAccountApplyConfirm',
    method: 'post',
    data: data
  })
}

